SDL_HINT_DISPLAY_USABLE_BOUNDS(3)

NAME
SDL_HINT_DISPLAY_USABLE_BOUNDS - Override for SDL_GetDisplayUsableBounds ().

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_DISPLAY_USABLE_BOUNDS SDL_DISPLAY_USABLE_BOUNDS"

DESCRIPTION
If set, this hint will override the expected results for

SDL_GetDisplayUsableBounds () for display index 0. Generally you don't want to do this, but this allows an embedded system to request that some of the screen be reserved for other uses when paired with a well-behaved application.

The contents of this hint must be 4 comma-separated integers, the first is the bounds x, then y, width and height, in that order.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.